

print.table <- function(file.name="", pattern=".*", path="./", mode="AUC", level="0.2",type="S10") {

 x <- list.files(path = path, pattern = pattern);
 
 max.len <- max(sapply(x,nchar));
 
 cat(format(" ",width=max.len), format("W1",width=9, justify="right"),  format("W2",width=9, justify="right"), format("W3",width=9, justify="right"), "\n\n", file=file.name, append=TRUE); 
 for (i in 1:length(x)) {
    load(paste0(path,x[i]));
    if (i %%3 == 1)
      cat(format(x[i],width=max.len), file=file.name, append=TRUE);
    if (type=="s10") {
      if (mode=="AUC") 
	cat(format(AUC.S10$av, width=10, digits=4, nsmall=4), file=file.name, append=TRUE)
      else
	cat(format(PXR.S10$av[level], width=10, digits=4, nsmall=4), file=file.name, append=TRUE);
      if (i %%3 == 0)
	cat("\n", file=file.name, append=TRUE);  
    } else {
      if (mode=="AUC") 
	cat(format(AUC.S1$av, width=10, digits=4, nsmall=4), file=file.name, append=TRUE)
      else
	cat(format(PXR.S1$av[level], width=10, digits=4, nsmall=4), file=file.name, append=TRUE);
      if (i %%3 == 0)
	cat("\n", file=file.name, append=TRUE);  
    }
 }
}
